绊脚石之 Json_jarPackage

未分类 发表评论


json转换,即将map转json字符串

今天在调试一个API接口的时候,发现提示这个错误:
org/apache/commons/lang/exception/NestableRuntimeException
看到这问题首先想到的是缺少依赖的jar,后面陆续看了下环境上项目工程里面的jar,发现需要的jar都在,因为用的是json-lib,
所以所需要的依赖包无非就是apache common下的几个jar
commons-beanutils-1.8.3.jar
commons-collections-3.2.1.jar
commons-compress-1.8.1.jar
commons-logging-1.1.1.jar
ezmorph-1.0.6.jar
json-lib-2.3-jdk15.jar
commons-lang3-3.3.jar (需替换成低版本commons-lang-2.6.jar)
后面经过查看原来问题是出现在commons-lang3-3.3.jar上,
commons-lang3-3.3.jar提供的是 org/apache/commons/lang3/,这个是新版本的。
因为json-lib转化用的是低版本的commons-lang,所以替换成低版本commons-lang-2.6.jar就可以了。

类似错误参考,版本不同,记得看下里面包名是否和报错信息对应的上。
commons-beanutils-1.8.0.jar不加这个包
java.lang.NoClassDefFoundError: org/apache/commons/beanutils/DynaBean
commons-collections.jar 不加这个包
java.lang.NoClassDefFoundError: org/apache/commons/collections/map/ListOrderedMap
commons-lang-2.4.jar不加这个包
java.lang.NoClassDefFoundError: org/apache/commons/lang/exception/NestableRuntimeException
commons-logging-1.1.1.jar不加这个包
java.lang.NoClassDefFoundError: org/apache/commons/logging/LogFactory
ezmorph-1.0.4.jar不加这个包
java.lang.NoClassDefFoundError: net/sf/ezmorph/Morpher
json-lib-2.3-jdk15.jar不加这个包
java.lang.NoClassDefFoundError: net/sf/json/JSONObject

上面的错误分析是我在网上查找的,随手总结了一下,好记性不如赖笔头。。。。

发表评论

邮箱地址不会被公开。 必填项已用*标注

昵称 *